Subject: Re: [PATCH net-next v3 1/6] netdevice: convert private flags > BIT(31) to bitfields

From: Jakub Kicinski <[email-masked]>
Date: Mon, 12 Aug 2024 11:04:13 -0700

On Mon, 12 Aug 2024 14:09:31 +0200 Alexander Lobakin wrote:
> > The kdoc scripts says:
> > 
> > include/linux/netdevice.h:2392: warning: Excess struct member 'priv_flags_fast' description in 'net_device'
> > 
> > I thought you sent a kernel-doc patch during previous cycle to fix this,
> > or was that for something else?  
> 
> Oh crap.
> The patch I sent expands struct_group_tagged() only.
> If I do the same for the regular struct_group(), there'll clearly be a
> ton of new warnings.
> I think I'll just submit v4 with removing this line from the kdoc?

No preference on direction, but not avoiding the warning would be great.

I reckon whether kdoc is useful for the group will depend case by case.
Best would be if we made the kdoc optional in this particular case.
But dunno if you have cycles so you can just delete.